TestValidWhen (Struts Core 1.3.10 Test API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.validator
Class TestValidWhen

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.apache.struts.validator.TestValidWhen

All Implemented Interfaces:
  junit.framework.Test

    public class TestValidWhen

extends junit.framework.TestCase

Unit tests for the ValidWhen Parser/Lexer.

Field Summary
`protected PojoBean` | `testBean`

Constructor Summary
`TestValidWhen(String theName)` Defines the testcase name for JUnit.

Method Summary
`static void` | `main(String[] theArgs)` Start the tests.
`void` | `setUp()`
`static junit.framework.Test` | `suite()`
`void` | `tearDown()`
`void` | `testJoined()` Test Joined expressions ('and' or 'or')
`void` | `testNull()` Test Null.
`void` | `testNumeric()` Test Numeric values.
`void` | `testOperators()` Test Operators.
`void` | `testProperty()` Test Operators.
`void` | `testString()` Test String values.

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### testBean

    protected PojoBean testBean

Constructor Detail

### TestValidWhen

    public TestValidWhen(String theName)

  Defines the testcase name for JUnit.

  Parameters:
    `theName` - the testcase's name.

Method Detail

### main

    public static void main(String[] theArgs)

  Start the tests.

  Parameters:
    `theArgs` - the arguments. Not used

### suite

    public static junit.framework.Test suite()

  Returns:
    a test suite (`TestSuite`) that includes all methods starting with "test"

### setUp

    public void setUp()

  Overrides:
    `setUp` in class `junit.framework.TestCase`

### tearDown

    public void tearDown()

  Overrides:
    `tearDown` in class `junit.framework.TestCase`

### testProperty

    public void testProperty()

  Test Operators.

### testOperators

    public void testOperators()

  Test Operators.

### testString

    public void testString()

  Test String values.

### testNumeric

    public void testNumeric()

  Test Numeric values.

### testNull

    public void testNull()

  Test Null.

### testJoined

    public void testJoined()

  Test Joined expressions ('and' or 'or')

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.